Get Batch Transfer Status
curl --request GET \
--url https://payout-api.cashfree.com/payout/v1/getBatchTransferStatus \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://payout-api.cashfree.com/payout/v1/getBatchTransferStatus"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://payout-api.cashfree.com/payout/v1/getBatchTransferStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"subCode": "200",
"message": "Data retrieved successfully",
"data": {
"rowCount": 2,
"referenceId": 1582,
"transfers": [
{
"beneId": "999999999918875",
"transferId": "PTM_00121241112",
"referenceId": 1523969542,
"bankAccount": "9999999999",
"ifsc": "PYTM0000001",
"amount": "12.00",
"remarks": "",
"status": "SUCCESS",
"utr": "W1532082925",
"addedOn": "2018-07-20T00:00:00.000Z",
"processedOn": "2018-07-20T00:00:00.000Z"
}
]
}
}{
"status": "ERROR",
"subCode": "404",
"message": "Batch Transfer Id does not exist"
}{
"status": "ERROR",
"subCode": "403",
"message": "Token is not valid"
}Transfers
Get Batch Transfer Status
Use this API to get the status of the Batch Transfer.
GET
/
payout
/
v1
/
getBatchTransferStatus
Get Batch Transfer Status
 This API will be retired soon. Please plan to migrate to the latest version, Transfers V2.
Click to view the batch format.
Click to view the batch format.
| Sub code | Status | Message |
|---|---|---|
| 200 | SUCCESS | Data retrieved successfully |
| 201 | PENDING | Entries are not processed yet |
| 403 | ERROR | Token is not valid |
| 403 | ERROR | IP not whitelisted |
| 404 | ERROR | Bulk Transfer Id does not exist |
| 412 | ERROR | Token missing in the request |
| 520 | ERROR | Error while fetching data |
| 520 | ERROR | Unknown error occurred at batchTransfer |
Query Parameters
It is the unique ID created for the batch transfer.
Was this page helpful?
⌘I